EasyMovieTexture For Android

EasyMovieTexture is using Android MediaPlayer Class.

Android MediaPlayer supports all formats are available.

Streaming services are also supported.(Internet Access option is checked, the streaming service )

From Android version 4.0 or later are supported.

And the this demo movie licensing. (c) copyright 2006, Blender Foundation / Netherlands Media Art Institute / www.elephantsdream.org
http://orange.blender.org/blog/creative-commons-license-2/










Current version 3.70


------------------------------------------------------------------------------------------


Update ( Ver. 3.70)

1. Removing MacOS 32bit compilation options

Update ( Ver. 3.69)

1. Fixed a crash problem when dynamically resizing (on a PC)

2. Fix crash problem when calling Stop function (on PC)


Update ( Ver. 3.68)


1.PC-side rendering speed improvement (HLS streaming rendering speed improvement)

2. Modify buffer size(PC)


Update ( Ver. 3.67)


1.Fixed sound buffering issue

2. Modify buffer size(PC)

Update ( Ver. 3.66) 

 1. Improve streaming service performance on PC 
 2. GetCurrentSeekPercent function modified to work on iOS and PC 

 Update ( Ver. 3.65) 

 1. Fixed sound bug on PC 

 Update ( Ver. 3.64) 

1. Metal graphics support in OSX 
2. Fixed the problem that video play speeds up in certain formats. 
3. Fixed an issue where sound does not play properly in certain formats. 

Update ( Ver. 3.63)

1. Fixed the problem that material is generated infinitely in recent update (PC problem)

Update ( Ver. 3.62)

1. Fixed an issue where Android does not work when enabling multithreading rendering option in Unity 2017.


Update ( Ver. 3.61)

1. Updating the ffmpeg dll file

Update ( Ver. 3.60)

1. Fixed a problem that the YUV shader was disconnected

2. Fixed an issue where the error message did not work properly for the Android streaming service.

3. Fixed some sound decoding problems on PC.

Update ( Ver. 3.59)

1. Fixed an abnormal behavior when iOS is in ApplicationPause state.

2. Fixed a side issue with BPC_FaseMode.

Update ( Ver. 3.58)

1. Add BPC_FastMode (Experimental) : Improves performance in PC or Editor.
(Note: the shader will automatically change to Unlit / Unlit_YUV.)

2. Fixed a problem where sound does not play in some video formats (on PC)


Update ( Ver. 3.57)

1. When video is not played on iOS,Fixed a problem when calling the Pause () function

2. Fixed CSProjectFilePostProcessor.cs error


Update ( Ver. 3.56)

1. Fixed a problem where Pause () function does not work when plugging in headset.(IOS)

2. Modifying Cubemap Modeling Data

3. Modifying Unity 5.6 Support








